Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.parameter
Class GeneralParameterValueIm

    java.lang.Object
      org.deegree.datatypes.parameter.GeneralParameterValueIm

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParameterValueIm

    public class GeneralParameterValueIm

extends Object
implements Serializable

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`GeneralParameterValueIm(GeneralOperationParameterIm descriptor)`

Method Summary
`Object` | `clone()` Creates and returns a copy of this object.
`GeneralOperationParameterIm` | `getDescriptor()`
`void` | `setDescriptor(GeneralOperationParameterIm descriptor)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralParameterValueIm

    public GeneralParameterValueIm(GeneralOperationParameterIm descriptor)

Parameters:
  `descriptor` -

Method Detail

### getDescriptor

    public GeneralOperationParameterIm getDescriptor()

  Returns:
    Returns the descriptor.

### setDescriptor

    public void setDescriptor(GeneralOperationParameterIm descriptor)

  Parameters:
    `descriptor` - The descriptor to set.

### clone

    public Object clone()

  Creates and returns a copy of this object. The precise meaning of "copy" may depend on the class of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    A clone of this instance.
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org